Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.cassandra.db
Class ColumnFamilySerializer

    java.lang.Object
      org.apache.cassandra.db.ColumnFamilySerializer

All Implemented Interfaces:
  ISerializer<ColumnFamily>

    public class ColumnFamilySerializer

extends java.lang.Object
implements ISerializer<ColumnFamily>

Constructor Summary
`ColumnFamilySerializer()`

Method Summary
`ColumnFamily` | `deserialize(java.io.DataInput dis)` Deserialize from the specified DataInput instance.
`ColumnFamily` | `deserialize(java.io.DataInput dis, IColumnSerializer.Flag flag, ISortedColumns.Factory factory)`
`void` | `deserializeColumns(java.io.DataInput dis, ColumnFamily cf, IColumnSerializer.Flag flag)`
`void` | `deserializeColumns(java.io.DataInput dis, ColumnFamily cf, int size, IColumnSerializer.Flag flag)`
`ColumnFamily` | `deserializeFromSSTableNoColumns(ColumnFamily cf, java.io.DataInput input)`
`void` | `serialize(ColumnFamily columnFamily, java.io.DataOutput dos)` Serialize the specified type into the specified DataOutput instance.
`void` | `serializeCFInfo(ColumnFamily columnFamily, java.io.DataOutput dos)`
`long` | `serializedSize(ColumnFamily cf)`
`int` | `serializeForSSTable(ColumnFamily columnFamily, java.io.DataOutput dos)`
`int` | `serializeWithIndexes(ColumnFamily columnFamily, ColumnIndexer.RowHeader index, java.io.DataOutput dos)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ColumnFamilySerializer

    public ColumnFamilySerializer()

Method Detail

### serialize

    public void serialize(ColumnFamily columnFamily,
                          java.io.DataOutput dos)

  Description copied from interface: `ISerializer`
  Serialize the specified type into the specified DataOutput instance.

  Specified by:
    `serialize` in interface `ISerializer<ColumnFamily>`
  Parameters:
    `columnFamily` - type that needs to be serialized
    `dos` - DataOutput into which serialization needs to happen.

### serializeForSSTable

    public int serializeForSSTable(ColumnFamily columnFamily,
                                   java.io.DataOutput dos)

### serializeCFInfo

    public void serializeCFInfo(ColumnFamily columnFamily,
                                java.io.DataOutput dos)
                         throws java.io.IOException

  Throws:
    `java.io.IOException`

### serializeWithIndexes

    public int serializeWithIndexes(ColumnFamily columnFamily,
                                    ColumnIndexer.RowHeader index,
                                    java.io.DataOutput dos)

### deserialize

    public ColumnFamily deserialize(java.io.DataInput dis)
                             throws java.io.IOException

  Description copied from interface: `ISerializer`
  Deserialize from the specified DataInput instance.

  Specified by:
    `deserialize` in interface `ISerializer<ColumnFamily>`
  Parameters:
    `dis` - DataInput from which deserialization needs to happen.
  Returns:
    the type that was deserialized
  Throws:
    `java.io.IOException`

### deserialize

    public ColumnFamily deserialize(java.io.DataInput dis,
                                    IColumnSerializer.Flag flag,
                                    ISortedColumns.Factory factory)
                             throws java.io.IOException

  Throws:
    `java.io.IOException`

### deserializeColumns

    public void deserializeColumns(java.io.DataInput dis,
                                   ColumnFamily cf,
                                   IColumnSerializer.Flag flag)
                            throws java.io.IOException

  Throws:
    `java.io.IOException`

### deserializeColumns

    public void deserializeColumns(java.io.DataInput dis,
                                   ColumnFamily cf,
                                   int size,
                                   IColumnSerializer.Flag flag)
                            throws java.io.IOException

  Throws:
    `java.io.IOException`

### deserializeFromSSTableNoColumns

    public ColumnFamily deserializeFromSSTableNoColumns(ColumnFamily cf,
                                                        java.io.DataInput input)
                                                 throws java.io.IOException

  Throws:
    `java.io.IOException`

### serializedSize

    public long serializedSize(ColumnFamily cf)

  Specified by:
    `serializedSize` in interface `ISerializer<ColumnFamily>`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2013 The Apache Software Foundation